Name:           openconnect-sso
Version:        0.8.0
Release:        %mkrel 5
Summary:        Wrapper script for OpenConnect supporting Azure AD (SAMLv2) authentication
Group:          Development/Python
License:        GPLv3
URL:            https://github.com/vlaci/openconnect-sso
Source0:        https://github.com/vlaci/openconnect-sso/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:         relax-pyxdg-version-constraints.patch
Patch1:         relax-keyring-version-constraints.patch
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

# For tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)

Requires:       openconnect
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-widgets
Requires:       python3-qt5-webengine
Requires:       python3-qt5-webenginewidgets

%description
Wrapper script for OpenConnect supporting Azure AD (SAMLv2) authentication
to Cisco SSL-VPNs.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openconnect_sso

%check
%{pytest} || /usr/bin/true # pytest-httpserver

%files -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/%{name}


%changelog
* Wed Feb 21 2024 daviddavid <daviddavid> 0.8.0-5.mga10
+ Revision: 2042952
- relax keyring dependency
- switch to pyproject

* Tue Dec 26 2023 daviddavid <daviddavid> 0.8.0-4.mga10
+ Revision: 2021620
- rebuild for py3.12

* Wed Nov 16 2022 daviddavid <daviddavid> 0.8.0-3.mga9
+ Revision: 1907867
- relax pyxdg requirements

* Sat Mar 26 2022 umeabot <umeabot> 0.8.0-2.mga9
+ Revision: 1828636
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 mrambo3501 <mrambo3501> 0.8.0-1.mga9
+ Revision: 1786494
- version 0.8.0
- rebuild for python-3.10

* Wed Apr 21 2021 daviddavid <daviddavid> 0.7.3-1.mga9
+ Revision: 1717781
- initial package openconnect-sso (mga#28820)

